@ECHO OFF
CLS

:: local run of this batch file fails to set backup drive letter correctly.
:: (see START_MENU)
:: maybe look into extracting only the letter from the %~d0, and using colons
:: throughout the rest of the paths...?

Color 1F

ECHO.
ECHO ==============================================================================
ECHO.
ECHO This program is uesd to Backup and Restore files.
ECHO Files will only be copied if new or updated.
ECHO If the destination file does not exist, it will be copied from the source.
ECHO Source files will overwrite existing destination files without prompting.

::==========================================================================
:START_MENU

::determine if program is run from local or other drive
::IF %~d0==C: (
	ECHO.
	ECHO ==============================================================================
	ECHO START
	ECHO.
	ECHO Please attach the backup drive.
	ECHO.
	:: set the drive letter
	SET /P L=Type the drive letter, then press ENTER: 
	:: attach colon to the letter (the caret character is used before special symbols)
	SET D=%L%^:
	ECHO Your drive letter is: %D%
	PAUSE
	CLS
::) ELSE (
	::set drive letter of batch file automatically
::	SET D=%~d0
::)

:: set the variable for backup log file
SET BACK_LOG=%D%\BKP_LOG.txt

:: set the variable for restore log file
SET REST_FILE=RESTORE_LOG.txt

:: set the variable for restore log path
SET REST_LOG=C:\%REST_FILE%

GOTO MAIN_MENU

::==========================================================================
:MAIN_MENU

ECHO.
ECHO ==============================================================================
ECHO MAIN MENU
ECHO.
ECHO Please make a selection:
ECHO.
ECHO 1 - Go to BACKUP Menu
ECHO 2 - Go to RESTORE Menu
ECHO     --------------------------------------
IF %~d0==C: (
ECHO 3 - Re-enter backup drive letter
) ELSE (
@ECHO OFF
)
ECHO 4 - EXIT
ECHO.
SET /P M=Type 1-4, then press ENTER: 
CLS
IF %M%==1 GOTO BACKUP_MENU
IF %M%==2 GOTO RESTORE_MENU
IF %M%==3 GOTO START_MENU
IF %M%==4 GOTO EOF

::==========================================================================
:BACKUP_MENU

ECHO.
ECHO ==============================================================================
ECHO MAIN MENU ^> BACKUP MENU
ECHO.
ECHO Please make a selection:
ECHO.
ECHO 1 - Backup UNE files..........(PEDAGOGUE)
ECHO 2 - Backup Personal Files.....(DS9)
ECHO 3 - Backup Iredell Files......(Work Drive)
ECHO 4 - Backup Anneliese's Files..(DS9)
ECHO     --------------------------------------

IF EXIST %BACK_LOG%. (
ECHO 5 - View Backup Log File
) ELSE (
@ECHO off
)

ECHO 6 - Go to MAIN Menu
ECHO 7 - EXIT
ECHO.
SET /P M=Type 1-7, then press ENTER: 
CLS
IF %M%==1 GOTO BACKUP_UNE
IF %M%==2 GOTO BACKUP_PERSONAL
IF %M%==3 GOTO BACKUP_IREDELL
IF %M%==4 GOTO BACKUP_AF
IF %M%==5 %BACK_LOG%
IF %M%==5 GOTO BACKUP_MENU
IF %M%==6 GOTO MAIN_MENU
IF %M%==7 GOTO EOF

::==========================================================================
:RESTORE_MENU

ECHO.
ECHO ==============================================================================
ECHO MAIN MENU ^> RESTORE MENU
ECHO.
ECHO Please make a selection:
ECHO.
ECHO 1 - Restore UNE files..........(PEDAGOGUE)
ECHO 2 - Restore Personal files.....(DS9)
ECHO 3 - Restore Iredell files......(Work Drive)
ECHO 4 - Restore Anneliese's files..(DS9)
ECHO     ---------------------------------------

IF EXIST %REST_LOG%. (
ECHO 5 - View Restore Log File
) ELSE (
@ECHO off
)

ECHO 6 - Go to MAIN Menu
ECHO 7 - EXIT
ECHO.
SET /P M=Type 1-7, then press ENTER: 
CLS
IF %M%==1 GOTO RESTORE_UNE
IF %M%==2 GOTO RESTORE_PERSONAL
IF %M%==3 GOTO RESTORE_IREDELL
IF %M%==4 GOTO RESTORE_AF
IF %M%==5 %REST_LOG%
IF %M%==5 GOTO RESTORE_MENU
IF %M%==6 GOTO MAIN_MENU
IF %M%==7 GOTO EOF

::==========================================================================
:FINALISE_BACKUP

::beep
ECHO      
ECHO Backup complete
Pause
CLS
GOTO BACKUP_MENU

::==========================================================================
:FINALISE_RESTORE

::beep
ECHO      
ECHO Restore complete
Pause
CLS
GOTO RESTORE_MENU

::==========================================================================
:BACKUP_AF

ECHO.
ECHO Finding and copying new and modified files. Please wait...

:: CREATE LOG - ADD DATE & TIME
ECHO.>>%BACK_LOG%
ECHO.>>%BACK_LOG%
ECHO.--------------------------------------------- >>%BACK_LOG%
ECHO.--------------------------------------------- >>%BACK_LOG%
ECHO %date% %time% >>%BACK_LOG%
ECHO.

ECHO AF My Document folder and files:
ECHO.>>%BACK_LOG%
ECHO.--- (AF My Documents folder and files) >>%BACK_LOG%
xcopy "C:\Documents and Settings\Anneliese\My Documents" %D%"\Anneliese\My Documents" /C/D/I/K/F/S/Y >>%BACK_LOG%
ECHO Done.
ECHO.

ECHO AF Favorites folder and files:
ECHO.>>%BACK_LOG%
ECHO.--- (AF Favorites folder and files) >>%BACK_LOG%
xcopy "C:\Documents and Settings\Anneliese\Favorites" %D%"\Anneliese\Favorites" /C/D/I/K/F/S/Y >>%BACK_LOG%
ECHO Done.
ECHO.

GOTO FINALISE_BACKUP

::==========================================================================
:RESTORE_AF

ECHO.
ECHO Finding and copying new and modified files. Please wait...

:: Copy previous restore log if exists in backup location, to continue appending to it.
:: (restore_log.txt is saved to the backup location at the end of a restore run)

IF EXIST %D%"\Anneliese\"%REST_FILE%. (
copy %D%"\Anneliese\"%REST_FILE% %REST_LOG% /Y >NUL
) ELSE (
@ECHO OFF
)

:: CREATE LOG - ADD DATE & TIME
ECHO.>>%REST_LOG%
ECHO.>>%REST_LOG%
ECHO.--------------------------------------------- >>%REST_LOG%
ECHO.--------------------------------------------- >>%REST_LOG%
ECHO %date% %time% >>%REST_LOG%
ECHO.

ECHO AF My Document folder and files:
ECHO.>>%REST_LOG%
ECHO.--- (AF My Documents folder and files) >>%REST_LOG%
xcopy %D%"\Anneliese\My Documents" "C:\Documents and Settings\Anneliese\My Documents" /C/D/I/K/F/S/Y >>%REST_LOG%
ECHO Done.
ECHO.

ECHO AF Favorites folder and files:
ECHO.>>%REST_LOG%
ECHO.--- (AF Favorites folder and files) >>%REST_LOG%
xcopy %D%"\Anneliese\Favorites" "C:\Documents and Settings\Anneliese\Favorites" /C/D/I/K/F/S/Y >>%REST_LOG%
ECHO Done.
ECHO.

copy %REST_LOG% %D%"\Anneliese\"%REST_FILE% /Y >NUL

GOTO FINALISE_RESTORE

::==========================================================================
:BACKUP_UNE

ECHO.
ECHO Finding and copying new and modified files. Please wait...

:: CREATE LOG - ADD DATE & TIME
ECHO.>>%BACK_LOG%
ECHO.>>%BACK_LOG%
ECHO.--------------------------------------------- >>%BACK_LOG%
ECHO.--------------------------------------------- >>%BACK_LOG%
ECHO %date% %time% >>%BACK_LOG%
ECHO.

ECHO UNE files:
ECHO.>>%BACK_LOG%
ECHO.--- (UNE files) >>%BACK_LOG%
xcopy "C:\Users\Agnieszka\Documents\EDU + WORK\4. UNE - MTeach(Sec)" %D%"\BKP" /C/D/I/K/F/S/Y >>%BACK_LOG%
ECHO Done.
ECHO.

ECHO Endnote files:
ECHO.>>%BACK_LOG%
ECHO.--- (ENDNOTE files) >>%BACK_LOG%
xcopy "C:\Users\Agnieszka\Documents\Endnote" %D%"\Endnote" /C/D/I/K/F/S/Y >>%BACK_LOG%
ECHO Done.
ECHO.

GOTO FINALISE_BACKUP

::==========================================================================
:RESTORE_UNE

ECHO.
ECHO Finding and copying new and modified files. Please wait...

:: Copy previous restore log if exists in backup location, to continue appending to it.
:: (restore_log.txt is saved to the backup location at the end of a restore run)

IF EXIST %D%"\"%REST_FILE%. (
copy %D%"\"%REST_FILE% %REST_LOG% /Y >NUL
) ELSE (
@ECHO OFF
)

:: CREATE LOG - ADD DATE & TIME
ECHO.>>%REST_LOG%
ECHO.>>%REST_LOG%
ECHO.--------------------------------------------- >>%REST_LOG%
ECHO.--------------------------------------------- >>%REST_LOG%
ECHO %date% %time% >>%REST_LOG%
ECHO.

ECHO UNE files:
ECHO.>>%REST_LOG%
ECHO.--- (UNE files) >>%REST_LOG%
xcopy %D%"\BKP" "C:\Users\Agnieszka\Documents\EDU + WORK\4. UNE - MTeach(Sec)" /C/D/I/K/F/S/Y >>%REST_LOG%
ECHO Done.
ECHO.

ECHO Endnote files:
ECHO.>>%REST_LOG%
ECHO.--- (ENDNOTE files) >>%REST_LOG%
xcopy %D%"\Endnote" "C:\Users\Agnieszka\Documents\Endnote" /C/D/I/K/F/S/Y >>%REST_LOG%
ECHO Done.
ECHO.

copy %REST_LOG% %D%"\"%REST_FILE% /Y >NUL

GOTO FINALISE_RESTORE

::==========================================================================
:BACKUP_IREDELL

ECHO.
ECHO Work files:
ECHO Finding and copying new and modified files. Please wait...

:: CREATE LOG - ADD DATE & TIME
ECHO.>>%BACK_LOG%
ECHO.>>%BACK_LOG%
ECHO.--------------------------------------------- >>%BACK_LOG%
ECHO.--------------------------------------------- >>%BACK_LOG%
ECHO %date% %time% >>%BACK_LOG%
ECHO.

ECHO Iredell Lab files...
ECHO.>>%BACK_LOG%
ECHO.--- (Iredell Lab Work Files) >>%BACK_LOG%
xcopy "C:\Users\Agnieszka\Documents\EDU + WORK\3. Westmead\2008-9 Iredell" %D%"\Agnieszka" /C/D/I/K/F/S/Y >>%BACK_LOG%
ECHO Done.
ECHO.

GOTO FINALISE_BACKUP

::==========================================================================
:RESTORE_IREDELL

ECHO.
ECHO Work files:
ECHO Finding and copying new and modified files. Please wait...

:: Copy previous restore log if exists in backup location, to continue appending to it.
:: (restore_log.txt is saved to the backup location at the end of a restore run)

IF EXIST %D%"\Agnieszka\"%REST_FILE%. (
copy %D%"\Agnieszka\"%REST_FILE% %REST_LOG% /Y >NUL
) ELSE (
@ECHO OFF
)

:: CREATE LOG - ADD DATE & TIME
ECHO.>>%REST_LOG%
ECHO.>>%REST_LOG%
ECHO.--------------------------------------------- >>%REST_LOG%
ECHO.--------------------------------------------- >>%REST_LOG%
ECHO %date% %time% >>%REST_LOG%
ECHO.

ECHO Iredell Lab files...
ECHO.>>%REST_LOG%
ECHO.--- (Iredell Lab Work Files) >>%REST_LOG%
xcopy %D%"\Agnieszka" "C:\Users\Agnieszka\Documents\EDU + WORK\3. Westmead\2008-9 Iredell" /C/D/I/K/F/S/Y >>%REST_LOG%
ECHO Done.
ECHO.

copy %REST_LOG% %D%"\Agnieszka\"%REST_FILE% /Y >NUL

GOTO FINALISE_RESTORE

::==========================================================================
:BACKUP_PERSONAL

ECHO.
ECHO -- Personal files --
ECHO Finding and copying new and modified files. Please wait...
:: CREATE LOG - ADD DATE & TIME
ECHO.>>%BACK_LOG%
ECHO.>>%BACK_LOG%
ECHO.--------------------------------------------- >>%BACK_LOG%
ECHO.--------------------------------------------- >>%BACK_LOG%
ECHO %date% %time% >>%BACK_LOG%
ECHO.

ECHO Equine DB files...
ECHO.>>%BACK_LOG%
ECHO.--- (Personal files: Equine DB) >>%BACK_LOG%
xcopy "C:\EQUINE DATABASE" %D%"\Agnieszka\EQUINE DATABASE" /C/D/I/K/F/S/Y >>%BACK_LOG%
ECHO Done.
ECHO.

ECHO TestDB files...
ECHO.>>%BACK_LOG%
ECHO.--- (Personal files: TestDB) >>%BACK_LOG%
xcopy "C:\TESTDB" %D%"\Agnieszka\TESTDB" /C/D/I/K/F/S/Y >>%BACK_LOG%
ECHO Done.
ECHO.

ECHO Genealogy files...
ECHO.>>%BACK_LOG%
ECHO.--- (Personal files: Genealogy) >>%BACK_LOG%
xcopy "C:\FAMILY" %D%"\Agnieszka\FAMILY" /C/D/I/K/F/S/Y >>%BACK_LOG%
ECHO Done.
ECHO.

ECHO Calendar files...
ECHO.>>%BACK_LOG%
ECHO.--- (Personal files: Calendar) >>%BACK_LOG%
xcopy "C:\Users\Agnieszka\Calendars" %D%"\Agnieszka\Calendars" /C/D/I/K/F/S/Y >>%BACK_LOG%
ECHO Done.
ECHO.

ECHO Contacts files...
ECHO.>>%BACK_LOG%
ECHO.--- (Personal files: Contacts) >>%BACK_LOG%
xcopy "C:\Users\Agnieszka\Contacts" %D%"\Agnieszka\Contacts" /C/D/I/K/F/S/Y >>%BACK_LOG%
ECHO Done.
ECHO.

ECHO Document files...
ECHO.>>%BACK_LOG%
ECHO.--- (Personal files: Documents) >>%BACK_LOG%
xcopy "C:\Users\Agnieszka\Documents" %D%"\Agnieszka\Documents" /C/D/I/K/F/S/Y >>%BACK_LOG%
ECHO Done.
ECHO.

ECHO Downloads files...
ECHO.>>%BACK_LOG%
ECHO.--- (Personal files: Downloads) >>%BACK_LOG%
xcopy "C:\Users\Agnieszka\Downloads" %D%"\Agnieszka\Downloads" /C/D/I/K/F/S/Y >>%BACK_LOG%
ECHO Done.
ECHO.

ECHO Favourites files...
ECHO.>>%BACK_LOG%
ECHO.--- (Personal files: Favourites) >>%BACK_LOG%
xcopy "C:\Users\Agnieszka\Favorites" %D%"\Agnieszka\Favorites" /C/D/I/K/F/S/Y >>%BACK_LOG%
ECHO Done.
ECHO.

ECHO Reset backup files...
ECHO.>>%BACK_LOG%
ECHO.--- (Personal files: Reset Backups) >>%BACK_LOG%
xcopy "C:\Users\Agnieszka\Reset backups" %D%"\Agnieszka\Reset Backups" /C/D/I/K/F/S/Y >>%BACK_LOG%
ECHO Done.
ECHO.

ECHO Toolbar files...
ECHO.>>%BACK_LOG%
ECHO.--- (Personal files: Toolbars) >>%BACK_LOG%
xcopy "C:\Users\Agnieszka\Toolbars" %D%"\Agnieszka\Toolbars" /C/D/I/K/F/S/Y >>%BACK_LOG%
ECHO Done.
ECHO.

ECHO Music files...
ECHO.>>%BACK_LOG%
ECHO.--- (Personal files: Music) >>%BACK_LOG%
xcopy "C:\Users\Agnieszka\Music" %D%"\Agnieszka\Music\MUSIC" /C/D/I/K/F/S/Y >>%BACK_LOG%
ECHO Done.
ECHO.

ECHO Picture files...
ECHO.>>%BACK_LOG%
ECHO.--- (Personal files: Pictures) >>%BACK_LOG%
xcopy "C:\Users\Agnieszka\Pictures" %D%"\Agnieszka\Pictures" /C/D/I/K/F/S/Y >>%BACK_LOG%
ECHO Done.
ECHO.

ECHO Video files...
ECHO.>>%BACK_LOG%
ECHO.--- (Personal files: Videos) >>%BACK_LOG%
xcopy "C:\Users\Agnieszka\Videos" %D%"\Agnieszka\Videos" /C/D/I/K/F/S/Y >>%BACK_LOG%
ECHO Done.
ECHO.

GOTO FINALISE_BACKUP

::==========================================================================
:RESTORE_PERSONAL

ECHO.
ECHO -- Personal files --
ECHO Finding and copying new and modified files. Please wait...

:: Copy previous restore log if exists in backup location, to continue appending to it.
:: (restore_log.txt is saved to the backup location at the end of a restore run)

IF EXIST %D%"\Agnieszka\"%REST_FILE%. (
copy %D%"\Agnieszka\"%REST_FILE% %REST_LOG% /Y >NUL
) ELSE (
@ECHO OFF
)

:: CREATE LOG - ADD DATE & TIME
ECHO.>>%REST_LOG%
ECHO.>>%REST_LOG%
ECHO.--------------------------------------------- >>%REST_LOG%
ECHO.--------------------------------------------- >>%REST_LOG%
ECHO %date% %time% >>%REST_LOG%
ECHO.

ECHO Equine DB files...
ECHO.>>%REST_LOG%
ECHO.--- (Personal files: Equine DB) >>%REST_LOG%
xcopy %D%"\Agnieszka\EQUINE DATABASE" "C:\EQUINE DATABASE" /C/D/I/K/F/S/Y >>%REST_LOG%
ECHO Done.
ECHO.

ECHO TestDB files...
ECHO.>>%REST_LOG%
ECHO.--- (Personal files: TestDB) >>%REST_LOG%
xcopy %D%"\Agnieszka\TESTDB" "C:\TESTDB" /C/D/I/K/F/S/Y >>%REST_LOG%
ECHO Done.
ECHO.

ECHO Genealogy files...
ECHO.>>%REST_LOG%
ECHO.--- (Personal files: Genealogy) >>%REST_LOG%
xcopy %D%"\Agnieszka\FAMILY" "C:\FAMILY" /C/D/I/K/F/S/Y >>%REST_LOG%
ECHO Done.
ECHO.

ECHO Calendar files...
ECHO.>>%REST_LOG%
ECHO.--- (Personal files: Calendar) >>%REST_LOG%
xcopy %D%"\Agnieszka\Calendars" "C:\Users\Agnieszka\Calendars" /C/D/I/K/F/S/Y >>%REST_LOG%
ECHO Done.
ECHO.

ECHO Contacts files...
ECHO.>>%REST_LOG%
ECHO.--- (Personal files: Contacts) >>%REST_LOG%
xcopy %D%"\Agnieszka\Contacts" "C:\Users\Agnieszka\Contacts" /C/D/I/K/F/S/Y >>%REST_LOG%
ECHO Done.
ECHO.

ECHO Document files...
ECHO.>>%REST_LOG%
ECHO.--- (Personal files: Documents) >>%REST_LOG%
xcopy %D%"\Agnieszka\Documents" "C:\Users\Agnieszka\Documents" /C/D/I/K/F/S/Y >>%REST_LOG%
ECHO Done.
ECHO.

ECHO Downloads files...
ECHO.>>%REST_LOG%
ECHO.--- (Personal files: Downloads) >>%REST_LOG%
xcopy %D%"\Agnieszka\Downloads" "C:\Users\Agnieszka\Downloads" /C/D/I/K/F/S/Y >>%REST_LOG%
ECHO Done.
ECHO.

ECHO Favourites files...
ECHO.>>%REST_LOG%
ECHO.--- (Personal files: Favourites) >>%REST_LOG%
xcopy %D%"\Agnieszka\Favorites" "C:\Users\Agnieszka\Favorites" /C/D/I/K/F/S/Y >>%REST_LOG%
ECHO Done.
ECHO.

ECHO Reset backup files...
ECHO.>>%REST_LOG%
ECHO.--- (Personal files: Reset Backups) >>%REST_LOG%
xcopy %D%"\Agnieszka\Reset Backups" "C:\Users\Agnieszka\Reset backups" /C/D/I/K/F/S/Y >>%REST_LOG%
ECHO Done.
ECHO.

ECHO Toolbar files...
ECHO.>>%REST_LOG%
ECHO.--- (Personal files: Toolbars) >>%REST_LOG%
xcopy %D%"\Agnieszka\Toolbars" "C:\Users\Agnieszka\Toolbars" /C/D/I/K/F/S/Y >>%REST_LOG%
ECHO Done.
ECHO.

ECHO Music files...
ECHO.>>%REST_LOG%
ECHO.--- (Personal files: Music) >>%REST_LOG%
xcopy %D%"\Agnieszka\Music\MUSIC" "C:\Users\Agnieszka\Music" /C/D/I/K/F/S/Y >>%REST_LOG%
ECHO Done.
ECHO.

ECHO Picture files...
ECHO.>>%REST_LOG%
ECHO.--- (Personal files: Pictures) >>%REST_LOG%
xcopy %D%"\Agnieszka\Pictures" "C:\Users\Agnieszka\Pictures" /C/D/I/K/F/S/Y >>%REST_LOG%
ECHO Done.
ECHO.

copy %REST_LOG% %D%"\Agnieszka\"%REST_FILE% /Y >NUL

GOTO FINALISE_RESTORE
::==========================================================================
